Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158972 - make build TARGET=<wrong branch> succeeds
Summary: make build TARGET=<wrong branch> succeeds
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys
Version: unspecified
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Jeremy Katz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 11:58 UTC by Ralf Corsepius
Modified: 2007-04-18 17:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 19:32:31 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2005-05-27 11:58:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-1.3.1

Description of problem:
in a checked-out copy of FE's devel CVS
make build TARGET=FC3 produces fc3 rpms



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Check out a package on FE CVS "devel"
2. Run
make build TARGET=FC3
  

Actual Results:  The build system built packages for fc3 from devel sources and pushed them to "needsign". I.e. there now exist packages in needsign, which do not have a nominal CVS repository and on which the build-requestor doesn't have any control over (I can't withdraw them.)


Expected Results:  1. The build system should have refused to build the package.

2. The build system should not have moved the build result to "needsign"

3. The build-requestor should have means for build-requestors to withdraw built/release candidate packages/rpms.


Additional info:

This case has happend and requires adminstrator action.

C.f. https://www.redhat.com/archives/fedora-extras-commits/2005-May/msg02166.html
and 
http://extras64.linux.duke.edu/needsign/3/SIMVoleon

Comment 1 Jeremy Katz 2005-05-27 12:35:26 UTC
Changed the build target to always pull where it builds from the branches file;
really probably should have done that as soon as we were comfortable with how
things were going.

This should at least make 1 and 2 much less of a problem.  3 is probably still
something to consider as part of the xml-rpc work.

Comment 2 Jeremy Katz 2005-07-29 19:32:31 UTC
You can nuke packages now using plague-client


Note You need to log in before you can comment on or make changes to this bug.